Bug 767981 - ESB Deployment ignores directory property
ESB Deployment ignores directory property
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.1
All All
high Severity high (vote)
: ---
: JON 3.1.0
Assigned To: Larry O'Leary
Mike Foley
:
Depends On: SOA-3693 824185
Blocks: jon30-sprint10/rhq43-sprint10
  Show dependency treegraph
 
Reported: 2011-12-15 08:01 EST by dsteigne
Modified: 2013-03-14 11:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 11:06:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dsteigne 2011-12-15 08:01:53 EST
Description of problem:
When deploying a new ESB Deployment via JON Gui, no matter what directory you enter in the Deploy directory property, JON puts it in the /deploy directory.  Don't know if this is JON or the Profile Service ( a SOA bug was logged by an SA for the same issue  https://issues.jboss.org/browse/SOA-3578)

Version-Release number of selected component (if applicable):
2.4.1
Comment 1 Larry O'Leary 2011-12-16 20:22:31 EST
The as5 esb plug-in utilizes ProfileService to deploy an ESB Deployment to the AS server. The only option regarding deployment location that appears to be available is deployFarmed and deployExploded.

It would appear that these properties were left over from the as4 version of the ESB plug-in.
Comment 2 dsteigne 2011-12-19 09:53:06 EST
Customer wants to deployFarmed via the GUI, the properties in the GUI need to be corrected.
Comment 3 Larry O'Leary 2012-01-09 16:58:53 EST
Logged against downstream JBossESB SOA-P bug tracker as https://issues.jboss.org/browse/SOA-3693

The JBoss ESB plug-in is managed/maintained by the JBossESB project.
Comment 4 JBoss JIRA Server 2012-01-12 18:42:47 EST
RH Bugzilla Integration <no-reply@redhat.com> updated the status of jira SOA-3693 to Closed
Comment 7 Larry O'Leary 2012-05-18 12:44:29 EDT
SOA team didn't get this fixed in their product in time for their 5.3 release. We will need to wait for the next release to get the fix.
Comment 8 Larry O'Leary 2012-05-18 13:12:10 EDT
Strike that last comment 7 for the moment. It appears their status shows GA was released but I think that was in error. The release schedule shows a release date of June 1st.
Comment 10 Larry O'Leary 2012-05-23 13:40:39 EDT
The fix for this has been committed to the upstream ESB project and will be included in the JON 3.1.0.ER5 as per Bug 824185.
Comment 12 Libor Zoubek 2012-06-06 07:17:08 EDT
verified on JON 3.1.CR3 - there is no longer a directory text field property, but a radio selecting whether deploy farmed or not - which works as expected

Note You need to log in before you can comment on or make changes to this bug.